# $Revision: 1.7 $, $Date: 2012/02/07 22:04:36 $
Summary:	Max Fighter vertical shoot'em up
Summary(pl.UTF-8):	Strzelanka kosmiczna Max Fighter
Name:		maxfighter
Version:	1.0.1
Release:	3
License:	GPL, Creative Commons NCSA 2.5
Group:		X11/Applications/Games
Source0:	http://source.musgit.com/files/%{name}_%{version}.tar.bz2
# Source0-md5:	086b008982666a839d9a293016ec4591
Patch0:		%{name}-scons.patch
URL:		http://maxfighter.musgit.com/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL_image-devel
BuildRequires:	expat-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mysdl
BuildRequires:	scons
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Max Fighter vertical shoot'em up.

%description -l pl.UTF-8
Strzelanka kosmiczna Max Fighter.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

%build
sed -i "/RESOURCEDIR/s|resources/|/usr/share/games/%{name}/|" SConstruct
%{__scons} \
	%{!?debug:dist=1} \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/%{name},/var/games/%{name}}

install build/linux/%{name} $RPM_BUILD_ROOT%{_bindir}
cp -r resources/* $RPM_BUILD_ROOT%{_datadir}/games/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%attr(770,root,games) %dir /var/games/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: maxfighter.spec,v $
Revision 1.7  2012/02/07 22:04:36  arekm
- release 3

Revision 1.6  2011/12/20 19:41:27  arekm
- release 2

Revision 1.5  2011/04/21 00:47:43  evil
- up to 1.0.1

Revision 1.4  2010/02/06 21:07:56  arekm
- release 3

Revision 1.3  2009/08/14 00:24:44  arvenil
- release 2 (rebuild with OpenAL)

Revision 1.2  2007/05/24 21:36:37  qboosh
- descs from summaries

Revision 1.1  2007/05/20 13:32:00  gotar
- initial PLD release
